be.ehealth.businessconnector.mediprima.session.impl

## Class MediprimaTarificationSessionServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.mediprima.session.impl.MediprimaTarificationSessionServiceImpl

- All Implemented Interfaces:
    MediprimaTarificationSessionService, ConfigurationModuleBootstrap.ModuleBootstrapHook

      public class MediprimaTarificationSessionServiceImpl
      extends Object
      implements MediprimaTarificationSessionService, ConfigurationModuleBootstrap.ModuleBootstrapHook

  Implementation of `MediprimaTarificationSessionService`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MediprimaTarificationSessionServiceImpl()` constructor only to be used for bootstrap purposes.
    `MediprimaTarificationSessionServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `TarificationConsultationResponse` | `consultTarification(TarificationConsultationRequest request)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MediprimaTarificationSessionServiceImpl

          public MediprimaTarificationSessionServiceImpl(SessionValidator sessionValidator,
                                                         EhealthReplyValidator replyValidator)
                                                  throws TechnicalConnectorException

      Parameters:
        `sessionValidator` -
        `replyValidator` - not used for this service. the business answer does not contain an business error , but will throw SoapException.
      Throws:
        `TechnicalConnectorException`

    - #### MediprimaTarificationSessionServiceImpl

          public MediprimaTarificationSessionServiceImpl()

      constructor only to be used for bootstrap purposes.

  - ### Method Detail

    - #### consultTarification

          public TarificationConsultationResponse consultTarification(TarificationConsultationRequest request)
                                                               throws TechnicalConnectorException

      Specified by:
        `consultTarification` in interface `MediprimaTarificationSessionService`
      Parameters:
        `request` - `TarificationConsultationRequest`
      Returns:
        `TarificationConsultationResponse`
      Throws:
        `TechnicalConnectorException`

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Connector Packaging PERSPHYSICIAN 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.